features:
  secondary:
    - name: "Blocking Mode for Web Application Firewall"
      available_in: [ultimate]
      documentation_link: "https://docs.gitlab.com/ee/user/clusters/applications.html#web-application-firewall-modsecurity"
      reporter: stkerr
      stage: defend 
      issue_url: "https://gitlab.com/gitlab-org/gitlab/issues/8558"
      description: |
          The [Web Application Firewall (WAF)](/blog/2019/09/22/gitlab-12-3-released/#web-application-firewall-for-kubernetes-ingress)
          can now be put into blocking mode.

          This means that whenever the WAF identifies potentially malicious
          traffic, it can drop that traffic before it ever reaches your app,
          protecting it from a variety of different attacks.

          You can enable this behavior by setting the [`AUTO_DEVOPS_MODSECURITY_SEC_RULE_ENGINE`
          environment variable](https://docs.gitlab.com/ee/topics/autodevops/#build-and-deployment)
          in your project. If this variable is not set,
          the WAF will operate in logging-only mode.
